Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class AntBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.util.AntBuilder

    public class AntBuilder
    extends BuilderSupport

Allows Ant tasks to be used with GroovyMarkup. Requires the ant.jar in your classpath which will happen automatically if you are using the Groovy distribution but will be up to you to organize if you are embedding Groovy. If you wish to use the optional tasks you will need to add one or more additional jars from the ant distribution to your classpath.

Authors:
  James Strachan
  Dierk Koenig (dk)
  Marc Guillemot

Version:
  \$Revision: 21116 \$

Constructor Summary
`AntBuilder()`
`AntBuilder(Project project)`
`AntBuilder(Project project, Target owningTarget)`
`AntBuilder(Task parentTask)`

Method Summary
`protected static Attributes` | `buildAttributes(Map attributes)` Builds an Attributes from a Map
`protected Object` | `createNode(Object tagName)`
`protected Object` | `createNode(Object name, Object value)`
`protected Object` | `createNode(Object name, Map attributes, Object value)`
`protected Object` | `createNode(Object name, Map attributes)`
`protected static Project` | `createProject()` @return Factory method to create new Project instances
`protected Object` | `doInvokeMethod(String methodName, Object name, Object args)` We don't want to return the node as created in createNode(Object, Map, Object) but the one made ready by nodeCompleted(Object, Object)
`Project` | `getAntProject()`
`AntXMLContext` | `getAntXmlContext()` Gets the xml context of Ant used while creating tasks
`Project` | `getProject()` # Gets the Ant project in which the tasks are executed
`protected void` | `nodeCompleted(Object parent, Object node)` Determines, when the ANT Task that is represented by the "node" should perform.
`protected void` | `setParent(Object parent, Object child)`
`protected void` | `setText(Object task, String text)`

Methods inherited from class BuilderSupport
createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AntBuilder

    public AntBuilder()

### AntBuilder

    public AntBuilder(Project project)

### AntBuilder

    public AntBuilder(Project project, Target owningTarget)

### AntBuilder

    public AntBuilder(Task parentTask)

Method Detail

### buildAttributes

    protected static Attributes buildAttributes(Map attributes)

  Builds an Attributes from a Map
  Parameters:
    `attributes` - the attributes to wrap
  Returns:
    the wrapped attributes

### createNode

    protected Object createNode(Object tagName)

### createNode

    protected Object createNode(Object name, Object value)

### createNode

    protected Object createNode(Object name, Map attributes, Object value)

### createNode

    protected Object createNode(Object name, Map attributes)

### createProject

    protected static Project createProject()

  Returns:
    Factory method to create new Project instances

### doInvokeMethod

    protected Object doInvokeMethod(String methodName, Object name, Object args)

  We don't want to return the node as created in createNode(Object, Map, Object) but the one made ready by nodeCompleted(Object, Object)
  See Also:
    BuilderSupport.doInvokeMethod

### getAntProject

    public Project getAntProject()

### getAntXmlContext

    public AntXMLContext getAntXmlContext()

  Gets the xml context of Ant used while creating tasks
  Returns:
    the Ant xml context

### getProject

    public Project getProject()

  # Gets the Ant project in which the tasks are executed
  Returns:
    the project

### nodeCompleted

    protected void nodeCompleted(Object parent, Object node)

  Determines, when the ANT Task that is represented by the "node" should perform. Node must be an ANT Task or no "perform" is called. If node is an ANT Task, it performs right after complete construction. If node is nested in a TaskContainer, calling "perform" is delegated to that TaskContainer.
  Parameters:
    `parent` - note: null when node is root
    `node` - the node that now has all its children applied

### setParent

    protected void setParent(Object parent, Object child)

### setText

    protected void setText(Object task, String text)

Copyright © 2003-2010 The Codehaus. All rights reserved.